<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - QtCore/qarraydata.h - functions</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">QtCore</a> - qarraydata.h<span style="font-size: 80%;"> (<a href="qarraydata.h.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">17</td>
            <td class="headerCovTableEntry">17</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">42</td>
            <td class="headerCovTableEntry">75</td>
            <td class="headerCovTableEntryLo">56.0 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><img src="../glass.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><a href="qarraydata.h.func-sort-c.html"><img src="../updown.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></a></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#121">_ZN10QArrayData10sharedNullEv</a></td>
              <td class="coverFnHi">77</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#55">_ZN10QArrayData4dataEv</a></td>
              <td class="coverFnHi">37012</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataI15QListWidgetItemE10deallocateEP10QArrayData</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataI15QListWidgetItemE10sharedNullEv</a></td>
              <td class="coverFnHi">7</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataI15QListWidgetItemE15unsharableEmptyEv</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataI15QListWidgetItemE3endEPS0_</a></td>
              <td class="coverFnHi">58</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataI15QListWidgetItemE4dataEv</a></td>
              <td class="coverFnHi">174</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataI15QListWidgetItemE5beginEPS0_</a></td>
              <td class="coverFnHi">110</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataI15QListWidgetItemE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnHi">12</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataI5QCharE10deallocateEP10QArrayData</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataI5QCharE10sharedNullEv</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataI5QCharE15unsharableEmptyEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataI5QCharE3endEPS0_</a></td>
              <td class="coverFnHi">8</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataI5QCharE4dataEv</a></td>
              <td class="coverFnHi">26</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataI5QCharE5beginEPS0_</a></td>
              <td class="coverFnHi">16</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataI5QCharE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataI7QStringE10deallocateEP10QArrayData</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataI7QStringE10sharedNullEv</a></td>
              <td class="coverFnHi">10</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataI7QStringE15unsharableEmptyEv</a></td>
              <td class="coverFnHi">3</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataI7QStringE3endEPS0_</a></td>
              <td class="coverFnHi">9</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataI7QStringE4dataEv</a></td>
              <td class="coverFnHi">24</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataI7QStringE5beginEPS0_</a></td>
              <td class="coverFnHi">12</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataI7QStringE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIP11QLayoutItemE10deallocateEP10QArrayData</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataIP11QLayoutItemE10sharedNullEv</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataIP11QLayoutItemE3endEPS1_</a></td>
              <td class="coverFnHi">10</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIP11QLayoutItemE4dataEv</a></td>
              <td class="coverFnHi">46</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataIP11QLayoutItemE5beginEPS1_</a></td>
              <td class="coverFnHi">35</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIP15QListWidgetItemE10deallocateEP10QArrayData</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataIP15QListWidgetItemE10sharedNullEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataIP15QListWidgetItemE15unsharableEmptyEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataIP15QListWidgetItemE3endEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIP15QListWidgetItemE4dataEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataIP15QListWidgetItemE5beginEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataIP15QListWidgetItemE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIP17ClassInstanceNodeE10deallocateEP10QArrayData</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataIP17ClassInstanceNodeE10sharedNullEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataIP17ClassInstanceNodeE15unsharableEmptyEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataIP17ClassInstanceNodeE3endEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIP17ClassInstanceNodeE4dataEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataIP17ClassInstanceNodeE5beginEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataIP17ClassInstanceNodeE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIP4NodeE10deallocateEP10QArrayData</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataIP4NodeE10sharedNullEv</a></td>
              <td class="coverFnHi">13</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataIP4NodeE15unsharableEmptyEv</a></td>
              <td class="coverFnHi">3</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataIP4NodeE3endEPS1_</a></td>
              <td class="coverFnHi">9182</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIP4NodeE4dataEv</a></td>
              <td class="coverFnHi">18365</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataIP4NodeE5beginEPS1_</a></td>
              <td class="coverFnHi">9180</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataIP4NodeE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnHi">6</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIP5InputE10deallocateEP10QArrayData</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataIP5InputE10sharedNullEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataIP5InputE15unsharableEmptyEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataIP5InputE3endEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIP5InputE4dataEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataIP5InputE5beginEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataIP5InputE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIP6OutputE10deallocateEP10QArrayData</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataIP6OutputE10sharedNullEv</a></td>
              <td class="coverFnHi">3</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataIP6OutputE15unsharableEmptyEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataIP6OutputE3endEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIP6OutputE4dataEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataIP6OutputE5beginEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataIP6OutputE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIP9QTextEditE10deallocateEP10QArrayData</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataIP9QTextEditE10sharedNullEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#268">_ZN15QTypedArrayDataIP9QTextEditE15unsharableEmptyEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#210">_ZN15QTypedArrayDataIP9QTextEditE3endEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIP9QTextEditE4dataEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#209">_ZN15QTypedArrayDataIP9QTextEditE5beginEPS1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#218">_ZN15QTypedArrayDataIP9QTextEditE8allocateEm6QFlagsIN10QArrayData16AllocationOptionEE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataIcE10deallocateEP10QArrayData</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataIcE4dataEv</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#234">_ZN15QTypedArrayDataItE10deallocateEP10QArrayData</a></td>
              <td class="coverFnHi">27</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#255">_ZN15QTypedArrayDataItE10sharedNullEv</a></td>
              <td class="coverFnHi">27</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qarraydata.h.gcov.html#206">_ZN15QTypedArrayDataItE4dataEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
